API Reference · Support

Create Support Request

Contact a human, feedback, feature request, partnership

POST/v1/support
Public (no credentials needed)MCP:contact_support, send_feedback

Works anonymously (include email so a human can reply).

cURL example

cURL request
curl -X POST "https://api.verifiedinbox.ai/v1/support" \
  -H "Content-Type: application/json" \
  -d '{
    "kind": "contact_human",
    "message": "Everything checks out."
  }'

Request body

application/json · required
FieldTypeDescription
application_idoptional
string (uuid)

Link the request to this application (only if you can access it).

companyoptional
string—
emailoptional
string (email)

Required for anonymous requests that need a reply.

kindrequired
string—

Allowed: contact_human, support, feedback, feature_request, partnership

messagerequired
string

The question or feedback, in the user's words.

nameoptional
string

The sender's name.

Example request payload (SupportRequestInput)
{
  "kind": "contact_human",
  "message": "Everything checks out."
}

Response

201 OKReceived.
application/json
FieldTypeDescription
idrequired
string (uuid)—
kindrequired
string—

Allowed: contact_human, support, feedback, feature_request, partnership

messagerequired
string—
Example 201 response (SupportCreated)
{
  "id": "0192a5e0-1234-7000-8000-000000000001",
  "kind": "contact_human",
  "message": "Everything checks out."
}

Other responses & possible errors

Expand a status code below to see the error code, description, and example error payload.

400 (invalid_request)`invalid_request` — the request is malformed.

`invalid_request` — the request is malformed.

Example 400 error response
{
  "error": {
    "code": "invalid_request",
    "message": "Please provide a valid domain name."
  }
}
422 (unprocessable)`unprocessable` / `blocked_provider` — understood but can't be done (plain-English reason).

`unprocessable` / `blocked_provider` — understood but can't be done (plain-English reason).

Example 422 error response
{
  "error": {
    "code": "unprocessable",
    "message": "Shared mailbox providers like gmail.com cannot be verified."
  }
}
429 (rate_limited)`rate_limited` — retry after `Retry-After` seconds (`details.retry_after_seconds`). `limit_reached` — a quota is used up; `details.limit` names it and `next_action` offers support.

`rate_limited` — retry after `Retry-After` seconds (`details.retry_after_seconds`). `limit_reached` — a quota is used up; `details.limit` names it and `next_action` offers support.

Example 429 error response
{
  "error": {
    "code": "rate_limited",
    "message": "Too many requests. Please wait a moment and try again."
  }
}
Was it helpful?